<template>
  <div class="w-full bg-img">
    <div class="w-full flex justify-center py-[4vw]">
      <span class="text-[5vw] text-white"> {{ $t("contact_us") }}</span>
    </div>
    <div class="w-[90vw] bg-white mx-auto p-[6vw] rounded-[6vw] tab-shadow">
      <div class="flex items-center justify-start mb-[4vw]">
        <img
          class="max-w-[15vw]"
          :src="
            getAssetImage(
              'assets/theme/light_flexible_1/mobile/images/contactUsPage/userProfile.png'
            )
          "
        />
        <div class="flex flex-col ml-[3vw]">
          <span class="font-bold text-[4vw]"
            >{{ $t("hi") }}, {{ $t(username) }}</span
          >
          <span class="text-[3vw]"></span>
        </div>
      </div>
      <button
        v-for="(contact, index) in getContactList"
        :key="index"
        class="button-bg w-[78vw] h-[20vw] copyText"
        @click="redirectToLink(contact)"
      >
        <div class="flex justify-between items-center px-[3vw] py-[4vw]">
          <div class="flex flex-col items-start justify-center">
            <span class="text-white text-[4vw]">{{ contact.Text }}</span>
          </div>
          <img class="max-w-[6vw]" :src="contact.ImagePath" />
        </div>
      </button>
    </div>
  </div>
</template>

<script lang="ts" setup>
import commonHelper from "@/utils/commonHelper";
import { IThemePropertiesFromApi } from "@/models/companyThemePropertiesRespone";
import { store } from "~~/store";
const { handleHyperlinkRender } = commonHelper;
const username = computed(() =>
  store.state.auth ? store.state.username : "anonymous_user"
);
const { getContactList } = useContactUs();
const redirectToLink = (prop: IThemePropertiesFromApi) => {
  handleHyperlinkRender(prop.HyperLink);
};
const { getAssetImage } = commonHelper;
const bgImage = `url(${getAssetImage(
  "assets/theme/light_flexible_1/mobile/images/contactUsPage/backgroundImg.png"
)})`;
const btnBg = `url(${getAssetImage(
  "assets/theme/light_flexible_1/mobile/images/contactUsPage/button-bg.png"
)})`;
</script>
<style lang="scss" scoped>
.bg__gradient {
  background: linear-gradient(105deg, #3f1ec5, #a73fd4) no-repeat 50%;
}
.bg-img {
  background-size: contain !important;
  background: v-bind("bgImage") no-repeat;
}
.tab-shadow {
  box-shadow: 0 0.5vw 3vw rgba(65, 70, 92, 0.2);
}
.button-bg {
  background-size: contain !important;
  background: v-bind("btnBg") no-repeat;
}
</style>
